
Geen overeenkomsten. Probeer “video”, “FLUX” of “webhooks”.
Modellen laden…
kling-image/o1
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/kling-image/o1?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/kling-image/o1?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
],
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/kling-image/o1", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/nl/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "kling-image/o1",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
}
}
Roep het Kling O1 Image-model (kling-image/o1) aan via de Doitong API. Documentatie voor agents: https://doitong.com/nl/developers/models/kling-image/o1.md
POST https://api.doitong.com/v1/run/kling-image/o1?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
}
Als de responsstatus "queued" of "running" is, poll dan GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 totdat deze "succeeded" is; de bestanden staan in outputs[].url. POST https://api.doitong.com/v1/quote/kling-image/o1 met dezelfde body retourneert de exacte prijs vóór de uitvoering.
Deze request: $ 0,028 28 API-tegoed Op deze pagina uitvoeren
Je nieuwe API-sleutel. Deze wordt alleen nu getoond en staat al in de code en in het onderstaande API-sleutelveld. Houd deze geheim: zet deze nooit in code die in een browser wordt uitgevoerd.
Openbare werken gemaakt met Kling O1 Image door de Doitong-community. Gebruik een prompt opnieuw met één klik.
Video
**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...
Video
**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...
Video
**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...
Video
**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...
Video
Моя первая глобальная цель — 10.000 подписчиков. Я хочу расти вместе с вами, делать сериалы ещё круче, масштабнее и в итоге превратить это в полноценный проект, чтобы в дальнейшем монетизировать свой блог. Путь к первой десятке объявляю открытым. Идём со мной? Мне нужно такое видео в трёх кадрах...
Video
Оживи старую чёрно-белую свадебную фотографию. Молодожёны стоят рядом друг с другом. Жених нежно и с любовью смотрит на невесту, слегка улыбается и бережно касается её руки. Невеста мягко улыбается, немного поворачивает голову к жениху и смотрит на него с теплотой. Их движения естественные,...
Video
Кролик открывает дверь девушке, девушка дает чаевые кролику и говорит « спасибо, мой ушастый друг», он закрывает за ней дверь и говорит «Пожалуйста, красотка» после того как она села в машину за руль, кролик немного отходит, девушка в дрифте уезжает, все в одной сцене. Съемка кинематографичная....
Video
Animate this image realistically. Make me look like I am working at the computer: my eyes should naturally look at the screen, my hands should move naturally as if typing on the keyboard, and occasionally use the mouse. Add subtle, realistic movements to my head and body. Keep my facial...
Video
«Шедевр» Духовка резко открывается. ПУФ! Облако пара исчезает — внутри стоит красивый золотистый пирог. Лиза радостно достаёт его и пробует кусочек. Лиза: «Я гений!» Пирог внезапно наклоняется и падает набок. ПЛЮХ! Лиза смотрит на него и невозмутимо говорит: Лиза: «Ну… почти.» Камера быстро...
Video
В видео показана короткая драматическая история примерно на 29 секунд: * 0–4 сек. Мужчина со слезами на глазах держит оружие и выглядит глубоко расстроенным. * 4–8 сек. Он направляет оружие на женщину в клетчатой рубашке. Женщина зомби стоит спокойно, между ними напряжённая атмосфера. * 8–12 сек....
Video
«same character as reference, [сцена]». Кадры для песни Colores (вертикальные 9:16): Оба машут, приветствие Pipo держит красное яблоко Luna под голубым небом с голубым шариком Жёлтое солнце и цыплёнок рядом с героями Зелёная лягушка на листе, герои смотрят на неё Фиолетовый виноград Оба танцуют...
Video
Create a premium vertical Instagram Reels advertisement introducing “JÉRÉMIE IA”, the intelligent AI assistant integrated into the GENESIS mobile application. FORMAT: - Vertical 9:16 - 1080x1920 - 15–20 seconds - Premium social media advertising - Modern motion design - Cinematic technology...
Video
Сцена 1 — Появление Кивя (8 сек) Cinematic slow motion, tropical island beach, beautiful anthropomorphic kiwi woman Kivya stepping out of helicopter, glossy skin, elegant bikini, sunglasses, confident smile, other cute fruit characters watching in surprise: strawberry Klubni, banana Bananych,...
Video
Сцена 1 — Появление Кивя (8 сек) Cinematic slow motion, tropical island beach, beautiful anthropomorphic kiwi woman Kivya stepping out of helicopter, glossy skin, elegant bikini, sunglasses, confident smile, other cute fruit characters watching in surprise: strawberry Klubni, banana Bananych,...
Video
Кадр 1 (0–3 сек) — Остров, идиллия Что в кадре: Тропический пляж, закат. Четверо фруктов отдыхают: • Клубни потягивает коктейль • Бананыч загорает в шезлонге • Арбузиха жуёт жвачку и закатывает глаза • Яблониха стоит с микрофоном Звук: лёгкая музыка, шум волн Настроение: спокойствие перед бурей...
Video
Создай короткую 3D-анимационную сцену для детского мусульманского мультфильма, длительность 5–6 секунд. Алия — девочка 2–3 лет, милое круглое лицо, большие карие глаза, тёмные волосы, собранные в два маленьких хвостика, светло-розовое скромное платье. Алия находится ТОЛЬКО В СВОЕЙ СОБСТВЕННОЙ...
Besturingselementen worden gegenereerd op basis van het modelschema. De code en de prijs worden bijgewerkt terwijl je ze wijzigt.
/run/kling-image/o1?wait=20
prijsopgave → $ 0,028
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/kling-image/o1?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/kling-image/o1?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
],
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/kling-image/o1", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "kling-image/o1",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
},
"wait_seconds": 20
}
}
}
Je sleutel blijft in deze browser: hij wordt alleen naar de Doitong API verzonden en alleen in localStorage opgeslagen als je Onthouden aanvinkt. API-sleutel ophalen
Bewerkt of combineert afbeeldingen op basis van een `prompt` van maximaal 2500 tekens. Verwijs naar invoer met @Image1, @Image2 enzovoort en gebruik maximaal 10 items in `image_urls`; `elements` voegen personages of objecten toe, met een gecombineerd maximum van 10. `resolution` is 1K of 2K, `num_images` is 1 tot 9 en `aspect_ratio` omvat auto, 21:9 en 3:2. De uitvoer is png, jpeg of webp.
Stuur de canonieke naam of de oorspronkelijke naam, niet beide. Canonieke namen
promptverplicht
image_urlsverplicht
images
elementsoptioneel
elements[].frontal_image_urloptioneel
elements[].reference_image_urlsoptioneel
resolutionoptioneel
num_imagesoptioneel
num_outputs
aspect_ratiooptioneel
output_formatoptioneel
enable_safety_checkeroptioneel
Bestandsparameters accepteren een openbare https:// URL, een data: URI tot 10 MB of de file_url van een upload. Bestanden
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "kling-image/o1",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 28,
"usd": "0.028",
"charged": 28,
"refunded": 0
},
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"image_urls": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
},
"output": {
"images": [
{
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
}
]
},
"outputs": [
{
"type": "image",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Voor AI-agents: deze pagina als Markdown staat op https://doitong.com/nl/developers/models/kling-image/o1.md. Alle modellen en handleidingen: https://doitong.com/developers/llms.txt